Salesly API
API Reference

List contacts

GET
/contacts

Authorization

x-api-key<token>

Your tenant API key

In: header

Query Parameters

per_pageinteger

Items per page (1-100, default 15)

Default: 15Minimum: 1Maximum: 100
pageinteger

Page number

Default: 1Minimum: 1
user_idinteger

Filter contacts assigned to this user

curl -X GET "https://rest.salesly.app/api/v1/developers/contacts?per_page=15&page=1&user_id=0" \
  -H "x-api-key: <token>"

Paginated list of contacts

{
  "pagination": {
    "total": 0,
    "per_page": 0,
    "current_page": 0,
    "last_page": 0,
    "has_more": true
  },
  "data": [
    {
      "id": 0,
      "name": "string",
      "email": "[email protected]",
      "type": "client",
      "is_person": true,
      "cif": "string",
      "phone": "string",
      "web": "string",
      "iban": "string",
      "comments": "string",
      "extra_fields": {},
      "location": {
        "id": 0,
        "primary": 0,
        "direction": "string",
        "city": "string",
        "postal": "string",
        "country": "string",
        "latitude": "string",
        "longitude": "string",
        "extra_info": "string"
      },
      "users": [
        {
          "id": 0,
          "name": "string",
          "email": "[email protected]"
        }
      ],
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ]
}